package com.fzm.mall.server.front.goods.service;

import com.fzm.mall.server.front.goods.model.Category;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 商品类别 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-03-02
 */
public interface ICategoryService extends IService<Category> {

    List<Category> getList();

    Category getByName(String searchKey);

    List<Category> getList(String categoryId);

    List<String> getCateGoryIdsList(List<String> categoryIds,List<String> newCategoryIds);

    Category getByCategoryId(String categoryId);

    List<Category> getCategorys(List<String> categorys);
}
